package com.td.Dawa.game.exceldrop.service;

import com.td.Dawa.common.service.*;
import com.td.Dawa.game.exceldrop.pojo.ExcelDrop;
import com.td.Dawa.game.exceldrop.vo.ExcelDropVo;

import java.util.List;

public interface ExcelDropService extends CommonService<ExcelDropVo, ExcelDrop, Integer> {

    List<ExcelDrop>  getListBySceneId(Integer sceneId);

    List<ExcelDrop>  getListByIds(Integer[] ids);

    List<ExcelDrop>  getListByDropIds(Integer[] dropIds);

    ExcelDrop randomGetDropBySceneId(Integer sceneId);
}
